<?php
namespace Teknisa\DF\Services\Emissao\Exception;

use Geral\Logic\Exception;

/**
 * Class CodigoCompensacaoInvalidoService
 * @package Teknisa\DF\Services\Emissao\Exception
 */
class CodigoCompensacaoInvalidoService extends Exception
{

    private $mensagem;

    /**
     * @param string $mensagem
     * @param string $message
     * @param int $code
     * @param \Exception $previous
     */
    public function __construct($mensagem,$message = "", $code = 0, \Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->mensagem = $mensagem;

    }

    /**
     * @return string
     */
    public function getMessageName(){
        return $this->mensagem;
    }

    /**
     * @throws CodigoCompensacaoInvalidoService
     */
    public static function CnabInvalido()
    {
        throw new self("cnab_invalido");
    }

}
